<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcTimer Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcTimer Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcTimer" --><!-- doxytag: inherits="iBase" -->
<p>Timer propery class.  
 <a href="structiPcTimer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="timer_8h_source.html">propclass/timer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcTimer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcTimer.png" usemap="#iPcTimer_map" alt=""/>
  <map id="iPcTimer_map" name="iPcTimer_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,61,24"/>
</map>
 </div></div>

<p><a href="structiPcTimer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTimer.html#a379cc87b72c017da1780159e1ccc6043">Clear</a> (const char *name=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear this timer.  <a href="#a379cc87b72c017da1780159e1ccc6043"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTimer.html#af3495f8535c9e095f8890bfe305527a3">WakeUp</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> t, bool repeat, const char *name=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Wake up the Behaviour in 't' ticks.  <a href="#af3495f8535c9e095f8890bfe305527a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTimer.html#a91d78d0d8b92632f27cdce9aa03aaa61">WakeUpFrame</a> (int where)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Wake up the Behaviour every frame.  <a href="#a91d78d0d8b92632f27cdce9aa03aaa61"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Timer propery class. </p>
<p>This property class supports the following actions (add prefix 'cel.timer.action.' if you want to access this action through a message):</p>
<ul>
<li>WakeUp: parameters 'time' (long) and 'repeat' (bool). Optional 'name' (string) parameter for a named timer event.</li>
<li>WakeUpFrame: no parameters.</li>
<li>Clear: Optional 'name' (string) parameter for clearing a named timer event. Otherwise all timer events are cleared. If you want to clear only the anonymous timer then you can use "wakeup" as the name. Note that if no name is given then the frame event is also cleared.</li>
</ul>
<p>This property class can send out the following messages:</p>
<ul>
<li>'cel.timer.wakeup' (old 'pctimer_wakeup'): wakeup message</li>
<li>'cel.timer.wakeup.frame' (old 'pctimer_wakeupframe'): wakeup every frame (elapsedticks,currentticks) </li>
</ul>

<p>Definition at line <a class="el" href="timer_8h_source.html#l00046">46</a> of file <a class="el" href="timer_8h_source.html">timer.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a379cc87b72c017da1780159e1ccc6043"></a><!-- doxytag: member="iPcTimer::Clear" ref="a379cc87b72c017da1780159e1ccc6043" args="(const char *name=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTimer.html#a379cc87b72c017da1780159e1ccc6043">iPcTimer::Clear</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em> = <code>0</code></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear this timer. </p>
<p>Optional 'name' (string) parameter for clearing a named timer event. Otherwise all timer events are cleared. If you want to clear only the anonymous timer then you can use "wakeup" as the name. Note that if no name is given then the frame event is also cleared. If name is equal to 'frame' then only the frame event is cleared. </p>

</div>
</div>
<a class="anchor" id="af3495f8535c9e095f8890bfe305527a3"></a><!-- doxytag: member="iPcTimer::WakeUp" ref="af3495f8535c9e095f8890bfe305527a3" args="(csTicks t, bool repeat, const char *name=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTimer.html#af3495f8535c9e095f8890bfe305527a3">iPcTimer::WakeUp</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a>&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>repeat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Wake up the Behaviour in 't' ticks. </p>
<p>If the name is not given then it is an anonymous timer (will send out message 'pctimer_wakeup'). There can only be one anonymous timer active. If you want multiple timer events then use a named timer. The message in that case will be 'pctimer_&lt;name&gt;'. If 'repeat' is true then this will be repeated. Otherwise there will only be one signal. </p>

</div>
</div>
<a class="anchor" id="a91d78d0d8b92632f27cdce9aa03aaa61"></a><!-- doxytag: member="iPcTimer::WakeUpFrame" ref="a91d78d0d8b92632f27cdce9aa03aaa61" args="(int where)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTimer.html#a91d78d0d8b92632f27cdce9aa03aaa61">iPcTimer::WakeUpFrame</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>where</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Wake up the Behaviour every frame. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="timer_8h_source.html">timer.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
